本文へスキップ

Get headline detail

GET
/topics/{id}

Retrieve detailed information for a specific topic

認証

ApiKeyAuth

API key authentication. Format: cpt_{env}v1{random}_{checksum}. Example: cpt_prod_v1_xxxxxxxxxx_xx

API Key (header: X-CP-TERMINAL-API-KEY)

パラメータ

パスパラメータ

id*

Topic ID

integer
必須
1

クエリパラメータ

lang

Language code

string
有効な値
"en""ja""zh"
"en"
デフォルト
"en"

レスポンス

Successful response

application/json
JSON
{
  
"code": 0,
  
"message": "ok",
  
"data": {
  
  
"id": 1,
  
  
"lang": "en",
  
  
"category": "0",
  
  
"published_at": "2026-01-01T10:00:00Z",
  
  
"subtitle": "Bitcoin hits new high",
  
  
"summary": "crypto market analysis",
  
  
"terms_concepts": [
  
  
  
{
  
  
  
  
"term": "Bull Market",
  
  
  
  
"definition": "A market condition where prices are rising"
  
  
  
}
  
  
],
  
  
"title": "Bitcoin hits new high",
  
  
"cover_img": "https://example.com/cover.jpg",
  
  
"url": "https://coinpost.ai/topics/1"
  
}
}

Playground

認証
変数
キー

サンプル

Powered by VitePress OpenAPI